Package org.apache.sling.event.impl.jobs.queues

# Class JobExecutionResultImpl

java.lang.Object
org.apache.sling.event.impl.jobs.queues.JobExecutionResultImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.consumer.JobExecutionResult`

public class JobExecutionResultImpl extends Object implements org.apache.sling.event.jobs.consumer.JobExecutionResult
The job execution result.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JobExecutionResultImpl`
`CANCELLED`
Constant object for the cancelled case.
`static final JobExecutionResultImpl`
`FAILED`
Constant object for the failed case.
`static final JobExecutionResultImpl`
`SUCCEEDED`
Constant object for the success case.

## Constructor Summary

Constructors
Constructor
Description
`JobExecutionResultImpl(InternalJobState state, String message, Long retryDelayInMs)`
Create a new result

## Method Summary

Modifier and Type
Method
Description
`boolean`
`cancelled()`
`boolean`
`failed()`
`String`
`getMessage()`
`Long`
`getRetryDelayInMs()`
`InternalJobState`
`getState()`
Get the internal state
`boolean`
`succeeded()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### SUCCEEDED

public static final JobExecutionResultImpl SUCCEEDED
Constant object for the success case.

### CANCELLED

public static final JobExecutionResultImpl CANCELLED
Constant object for the cancelled case.

### FAILED

public static final JobExecutionResultImpl FAILED
Constant object for the failed case.

## Constructor Details

### JobExecutionResultImpl

public JobExecutionResultImpl(InternalJobState state, String message, Long retryDelayInMs)
Create a new result

Parameters:
  `state` - The result state
  `message` - Optional Message
  `retryDelayInMs` - Optional retry delay

## Method Details

### getState

public InternalJobState getState()
Get the internal state

Returns:
  The state.

### succeeded

public boolean succeeded()

Specified by:
  `succeeded` in interface `org.apache.sling.event.jobs.consumer.JobExecutionResult`

### cancelled

public boolean cancelled()

Specified by:
  `cancelled` in interface `org.apache.sling.event.jobs.consumer.JobExecutionResult`

### failed

public boolean failed()

Specified by:
  `failed` in interface `org.apache.sling.event.jobs.consumer.JobExecutionResult`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `org.apache.sling.event.jobs.consumer.JobExecutionResult`

### getRetryDelayInMs

public Long getRetryDelayInMs()

Specified by:
  `getRetryDelayInMs` in interface `org.apache.sling.event.jobs.consumer.JobExecutionResult`

### toString

public String toString()

Overrides:
  `toString` in class `Object`